Skip to content
POST /unified/file-storage/webhook-subscriptions

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

notification_urlstring
required·

The URL where notifications will be sent

2 supported2 required
Box
required
SharePoint
required
change_typesstring[]

Types of changes to monitor

2 supported
Box
supported
SharePoint
supported
Possible values:
createdupdateddeletedallcreatedupdateddeletedallcreatedupdateddeleted
client_statestring

Secret for verifying webhook authenticity

1 supported1 required
SharePoint
required
driveobject

The drive being monitored

1 supported1 required
SharePoint
required
idstring
required·

The unique identifier for a drive

expirationstring · date-time

Expiration datetime (ISO 8601, max 30 days from now)

1 supported
SharePoint
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

resourceobject

The resource to monitor

2 supported1 required
Box
required
SharePoint
supported
idstring
required·

Optional specific folder/file ID (defaults to root)

typestring
required·

Type of resource

Possible values:
drivefolderfilerootchangesfilefolderrootfolderfile

Response Body

idstring
required·

The unique identifier for the webhook subscription

2 supported
Box
supported
SharePoint
supported
notification_urlstring
required·

The URL where notifications will be sent

2 supported
Box
supported
SharePoint
supported
change_typesstring[]

Types of changes to monitor

2 supported
Box
supported
SharePoint
supported
Possible values:
createdupdateddeletedall
client_statestring

Optional secret for verifying webhook authenticity

1 supported
SharePoint
supported
created_atstring · date-time

When the subscription was created

2 supported
Box
supported
SharePoint
supported
driveobject

The drive being monitored

1 supported
SharePoint
supported
idstring

The unique identifier for a drive

expirationstring · date-time

When the subscription expires (ISO 8601 datetime)

1 supported
SharePoint
supported
page_tokenstring

Starting page token for change notifications (Google Drive only)

remote_dataRecord<string, any>

Raw data returned from the remote API call.

resourceobject

The resource being monitored

2 supported
Box
supported
SharePoint
supported
idstring

ID of the resource (drive, folder, etc.)

typestring

Type of resource

Possible values:
drivefolderfilerootchanges
resource_idstring

Provider-generated identifier for the watched resource

2 supported
Box
supported
SharePoint
supported
resource_uristring

The URI of the resource being watched

2 supported
Box
supported
SharePoint
supported
tokenstring

Optional token sent with notifications

typestring

The type of subscription

Possible values:
webhookweb_hook
2 supported
Box
supported
SharePoint
supported
truto unified file-storage webhooksubscriptions \
  -m create \
  -a '<integrated_account_id>' \
  -b '{
  "notification_url": "your_notification_url",
  "resource": {},
  "change_types": [],
  "drive": {},
  "expiration": "your_expiration",
  "client_state": "your_client_state",
  "remote_data": {}
}' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'file-storage',
  'webhooksubscriptions',
  {
  "notification_url": "your_notification_url",
  "resource": {},
  "change_types": [],
  "drive": {},
  "expiration": "your_expiration",
  "client_state": "your_client_state",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "file-storage",
        "webhooksubscriptions",
        {
        "notification_url": "your_notification_url",
        "resource": {},
        "change_types": [],
        "drive": {},
        "expiration": "your_expiration",
        "client_state": "your_client_state",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
curl -X POST 'https://api.truto.one/unified/file-storage/webhook-subscriptions?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "notification_url": "your_notification_url",
  "resource": {},
  "change_types": [],
  "drive": {},
  "expiration": "your_expiration",
  "client_state": "your_client_state",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "notification_url": "your_notification_url",
  "resource": {},
  "change_types": [],
  "drive": {},
  "expiration": "your_expiration",
  "client_state": "your_client_state",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/file-storage/webhook-subscriptions?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/file-storage/webhook-subscriptions"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "notification_url": "your_notification_url",
    "resource": {},
    "change_types": [],
    "drive": {},
    "expiration": "your_expiration",
    "client_state": "your_client_state",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())